Subject: [BEHAVE] Comments on draft-ietf-behave-nat-behavior-discovery-02

From: "Alfred E. Heggestad" <[email-masked]>
Date: Sun, 09 Dec 2007 17:40:26 +0100

Comments on draft-ietf-behave-nat-behavior-discovery-02

by Alfred E. Heggestad <[email-masked]>
9. Dec 2007

 > 2.2.  Example Use with P2P Overlays
 >
 >   behind NATs to avoid the cost of dedicated servers.  A supernode
 >   candidate requires that its NAT(s) offer(s) Address Independent
 >   Filtering.                                  ^^^^^^^^^^^^^^^^^^^
 >   ^^^^^^^^^

There is no such things as "Address Independent Filtering". See RFC 4787
for the definitions. What you probably mean here is "Endpoint Independent"
filtering

 > 3.6.  Detecting Generic ALGs
 >

It should be noted wether this test is applicable to UDP, TCP, TLS over TCP.

 > 4.3.  Determining NAT Filtering Behavior
 >
 >   its alternate IP address and alternate port.  If the client receives
 >   a response the current behaviour of the NAT is Address Independent
 >   Filtering.                                     ^^^^^^^^^^^^^^^^^^^
 >   ^^^^^^^^^

There is no such things as "Address Independent Filtering". See RFC 4787
for the definitions. What you probably mean here is "Endpoint Independent"
filtering

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave